# $Revision: 1.11 $, $Date: 2006/11/21 19:56:48 $
%include	/usr/lib/rpm/macros.php
%define		_class		Validate
%define		_subclass	Finance
%define		_status		alpha
%define		_pearname	%{_class}_%{_subclass}_CreditCard
Summary:	%{_pearname} - Validation class for Credit Cards
Summary(pl):	%{_pearname} - Klasa sprawdzajca poprawno dla kart kredytowych
Name:		php-pear-%{_pearname}
Version:	0.5.2
Release:	2
Epoch:		0
License:	PHP
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tgz
# Source0-md5:	a4eb8f52783b2f15ea99f0210ab1eda8
URL:		http://pear.php.net/package/Validate_Finance_CreditCard/
BuildRequires:	php-pear-PEAR
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	php(pcre)
Requires:	php-common >= 3:4.2.0
Requires:	php-pear >= 4:1.0-4
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Package to validate Credit Card numbers and types.

Although, still marked in alpha stage, the package is pretty stable.
There is currently no plan to change the API.

In PEAR status of this package is: %{_status}.

%description -l pl
Pakiet do sprawdzania poprawnoci numerw oraz typw kart kredytowych.

Chocia oznaczony jako alpha, pakiet zachowuje si cakiem stabilnie.
Nie ma te planw zmiany API.

Ta klasa ma w PEAR status: %{_status}.

%package tests
Summary:	Tests for PEAR::%{_pearname}
Summary(pl):	Testy dla PEAR::%{_pearname}
Group:		Development/Languages/PHP
Requires:	%{name} = %{epoch}:%{version}-%{release}
AutoReq:	no
AutoProv:	no

%description tests
Tests for PEAR::%{_pearname}.

%description tests -l pl
Testy dla PEAR::%{_pearname}.

%prep
%pear_package_setup

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc install.log
%{php_pear_dir}/.registry/*.reg
%{php_pear_dir}/%{_class}/%{_subclass}/*

%files tests
%defattr(644,root,root,755)
%{php_pear_dir}/tests/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-pear-Validate_Finance_CreditCard.spec,v $
Revision 1.11  2006/11/21 19:56:48  glen
- rel 2: use php(extension) virtuals

Revision 1.10  2006/09/04 20:09:28  adamg
- updated to 0.5.2

Revision 1.9  2006/05/23 20:18:15  glen
- BR rpm-build macros >= 1.300 for %pear_ macros

Revision 1.8  2006/04/02 13:48:06  glen
- AutoProv: no for -tests

Revision 1.7  2006/03/07 10:20:48  glen
- BR php-pear-PEAR

Revision 1.6  2006/02/20 21:48:14  glen
- group Development/Languages/PHP for -tests

Revision 1.5  2005/11/03 20:57:27  glen
- pearize

Revision 1.4  2005/10/27 19:22:29  qboosh
- define Epoch to 0 explicitly when using it

Revision 1.3  2005/10/03 13:46:19  glen
- new pear packaging

Revision 1.2  2005/07/27 22:02:58  qboosh
- pl summary

Revision 1.1  2005/07/26 14:24:27  adamg
- new
